{% extends 'base.html.twig' %}
{% block body %}

    <h2 >{{ sortie.titre}}</h2>

    <div> 
        Description : {{ sortie.description }} <br>
        Lieu : {{sortie.lieu.nom}}  <br>
        Date de la sortie : {{ sortie.dateSortie|date("Y-m-d")}} <br>
        Date limite d'inscription : {{ sortie.dateLimiteInscription|date("Y-m-d") }} <br>
        Nombre maximum de participants : {{sortie.nbMaxParticipants}} <br>
        {% if sortie.status.id == 3 %} <br>
            Sortie annulée pour le motif suivant : {{ sortie.motifAnnulation}}
        {% endif %}
    </div>  
    <br>
    {% if is_granted('ROLE_ORGANISATEUR') or is_granted('ROLE_ADMIN')  %}
    <br>
      <h3>  Annuler la sortie : </h3>
        {{ form_start(annulationSortie) }}
        {{ form_row(annulationSortie.motifAnnulation) }}
        {{ form_end(annulationSortie) }} 
        <br>
    {% endif %}


    {% if nbInscrits > sortie.nbMaxParticipants %}
        <div class="flash-error">
        Le nombre maximal de participant à été atteint ! <br>
        </div>
    {% else %}
        {% if date() < date(sortie.dateLimiteInscription)   %}
            {% if inscription == '' %}
                <a class="pure-button pure-button-primary" href="{{ path('inscription_create', {'id': sortie.id}) }}">Je m'inscris</a>
            {% else %}
                <a class="pure-button pure-button-primary" href="{{ path('app_desist', {'id': sortie.id}) }}">Me désinscrire</a>
            {% endif %}
        {% endif %}
    {% endif %}

    {% if (is_granted('ROLE_ORGANISATEUR') or is_granted('ROLE_ADMIN')) and   sortie.status.id != 1  %}
        <a class="pure-button pure-button-primary" href="{{ path('sortie_publish', {'id': sortie.id}) }}">Publier la sortie</a>
    {% endif %}
{% endblock %}
